> ## Documentation Index
> Fetch the complete documentation index at: https://docs.publishbuddy.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get media info



## OpenAPI

````yaml /openapi.json get /media_contents/{mediaContent}
openapi: 3.1.0
info:
  title: PublishBuddy
  version: 0.0.1
servers:
  - url: https://api.publishbuddy.com/v1
security: []
paths:
  /media_contents/{mediaContent}:
    get:
      tags:
        - MediaContent
      summary: Get media info
      operationId: v1.media_contents.show
      parameters:
        - name: mediaContent
          in: path
          required: true
          description: The media content UUID
          schema:
            type: string
        - name: Authorization
          in: header
          required: true
          description: JWT token.
          schema:
            type: string
          example: Bearer 123
      responses:
        '200':
          description: '`MediaContentResource`'
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/MediaContentResource'
                required:
                  - data
        '401':
          $ref: '#/components/responses/AuthenticationException'
        '403':
          $ref: '#/components/responses/AuthorizationException'
        '404':
          $ref: '#/components/responses/ModelNotFoundException'
components:
  schemas:
    MediaContentResource:
      type: object
      properties:
        id:
          type: string
          description: UUID
        name:
          type: string
          description: Name of media file
        full_name:
          type: string
          description: Full relative name
        label:
          type:
            - string
            - 'null'
          description: Label of media
        link:
          type: string
          description: Full link to media
        size:
          type:
            - integer
            - 'null'
          description: Media size in bytes
        width:
          type:
            - integer
            - 'null'
          description: Width in pixel
        height:
          type:
            - integer
            - 'null'
          description: Height in pixel
        time:
          type:
            - integer
            - 'null'
          description: Time is second
        folder_id:
          type: string
      required:
        - id
        - name
        - full_name
        - label
        - link
        - size
        - width
        - height
        - time
        - folder_id
      title: MediaContentResource
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    AuthorizationException:
      description: Authorization error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ModelNotFoundException:
      description: Not found
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message

````